<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huiju.estateagents.mapper.TaPersonMessageRuleMapper">
    <select id="getByPersonAndType" resultType="com.huiju.estateagents.entity.TaPersonMessageRule">
        SELECT
            *
        FROM
            ta_person_message_rule t
        WHERE t.person_id = #{personId}
        AND t.message_type = #{messageType}
        AND t.content_type = #{contentType}
        AND t.org_id = #{orgId}
        limit 1
    </select>
</mapper>
